> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.beehiiv.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.beehiiv.com/_mcp/server.

# Update newsletter list subscription by subscription ID <Badge intent="info" minimal outlined>OAuth Scope: newsletter_lists:write</Badge>

PATCH https://api.beehiiv.com/v2/publications/{publicationId}/newsletter_lists/{newsletterListId}/subscriptions/by_subscription_id/{subscriptionId}
Content-Type: application/json

Update a newsletter list subscription by subscription ID. An alternative to the update endpoint when you don't have the newsletter list subscription ID. Accepts either a subscription_id or email to identify the subscription. Currently supports unsubscribing a subscription from a newsletter list.

Reference: https://developers.beehiiv.com/api-reference/newsletter-list-subscriptions/update-by-subscription-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `publicationId` (string, required) — The prefixed ID of the publication object
- `newsletterListId` (string, required) — The prefixed ID of the newsletter list object
- `subscriptionId` (string, required) — The prefixed ID of the subscription

### Body (application/json)

This endpoint expects an object.

- `unsubscribe` (boolean, optional) — Set to true to unsubscribe the subscription from this newsletter list.

## Response

### 200

OK

- `data` (NewsletterListSubscriptionInfo, required)

## Errors

### 400 Bad Request Error

Bad Request

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 401 Unauthorized Error

Unauthorized. The API key or OAuth access token is missing, invalid, or expired.

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 404 Not Found Error

Resource Not Found

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 422 Unprocessable Entity Error

Unprocessable Entity

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 429 Too Many Requests Error

Rate Limit Exceeded

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

### 500 Internal Server Error

Internal Server Error

- `status` (integer, required)
- `statusText` (string, required)
- `errors` (list of ErrorDetail, required)

## Types

### NewsletterListSubscriptionInfo

- `id` (string, required) — The prefixed ID of the newsletter list subscription.
- `newsletter_list_id` (string, required) — The prefixed ID of the newsletter list.
- `subscription_id` (string, required) — The prefixed ID of the subscription.
- `status` (enum, required) — The status of the newsletter list subscription.
  - Allowed values: `pending`, `active`, `inactive`, `paused`
- `created_at` (integer, required) — The time the newsletter list subscription was created. Measured in seconds since the Unix epoch.
- `subscribed_at` (integer, optional) — The time the subscription was activated. Measured in seconds since the Unix epoch.
- `unsubscribed_at` (integer, optional) — The time the subscription was deactivated. Measured in seconds since the Unix epoch.

### ErrorDetail

- `message` (string, required)
- `code` (string, required)

## Examples

**Request**

```json
{
  "unsubscribe": true
}
```

**Response**

```json
{
  "data": {
    "id": "nl_list_sub_00000000-0000-0000-0000-000000000000",
    "newsletter_list_id": "nl_list_00000000-0000-0000-0000-000000000000",
    "subscription_id": "sub_00000000-0000-0000-0000-000000000000",
    "status": "active",
    "created_at": 1672531200,
    "subscribed_at": 1672531200,
    "unsubscribed_at": null
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/newsletter_lists/nl_list_00000000-0000-0000-0000-000000000000/subscriptions/by_subscription_id/sub_00000000-0000-0000-0000-000000000000"

payload = { "unsubscribe": True }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/newsletter_lists/nl_list_00000000-0000-0000-0000-000000000000/subscriptions/by_subscription_id/sub_00000000-0000-0000-0000-000000000000';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"unsubscribe":true}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/newsletter_lists/nl_list_00000000-0000-0000-0000-000000000000/subscriptions/by_subscription_id/sub_00000000-0000-0000-0000-000000000000"

	payload := strings.NewReader("{\n  \"unsubscribe\": true\n}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/newsletter_lists/nl_list_00000000-0000-0000-0000-000000000000/subscriptions/by_subscription_id/sub_00000000-0000-0000-0000-000000000000")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"unsubscribe\": true\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/newsletter_lists/nl_list_00000000-0000-0000-0000-000000000000/subscriptions/by_subscription_id/sub_00000000-0000-0000-0000-000000000000")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"unsubscribe\": true\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/newsletter_lists/nl_list_00000000-0000-0000-0000-000000000000/subscriptions/by_subscription_id/sub_00000000-0000-0000-0000-000000000000', [
  'body' => '{
  "unsubscribe": true
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/newsletter_lists/nl_list_00000000-0000-0000-0000-000000000000/subscriptions/by_subscription_id/sub_00000000-0000-0000-0000-000000000000");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"unsubscribe\": true\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["unsubscribe": true] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.beehiiv.com/v2/publications/pub_00000000-0000-0000-0000-000000000000/newsletter_lists/nl_list_00000000-0000-0000-0000-000000000000/subscriptions/by_subscription_id/sub_00000000-0000-0000-0000-000000000000")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```